API Marketplace
  1. Amazon Business
  • How to use
    • Overview
  • Webparsers API Marketplace
    • Walmart
      • Get Walmart Product Details
      • Search Walmart Products
      • Get Walmart Product Sellers
      • Get Walmart Order (Put cookie)
      • Walmat Delivery tracking
      • Get Walmart Product Sellers v2 (Proper BuyBox)
    • Walmart Business
      • Get Walmart Business Product Details
      • Search Walmart Business Products
      • Get Walmart Business Product Sellers
    • Amazon
      • Get product Amazon
      • Search Amazon
      • Get offers Amazon
    • Amazon Business
      • Get product Amazon
        POST
      • Search Amazon
        POST
      • Get offers Amazon
        POST
    • Google
      • Google Trends
    • Ebay
      • Get product Ebay
      • Search Ebay
    • Kaufland
      • Get product Kaufland
      • Get product pricing Kaufland
      • Search Kaufland
      • Get offers Kaufland
    • Naver
      • Get Product information from Naver
      • Get Benefit from Naver
      • Get Benefit Npay from Naver
      • Get Product-Benefits from Naver
      • Get Product-Benefits Npay from Naver
      • Search Naver products
      • MSearch Naver products
    • Sahibinden
      • Get Sahibinden Product Details
    • Shopee
      • Shopee Create Task
      • Shopee Get Task Status
      • Shopee Get Task Result
      • Get Shopee get_pc
      • Get Shopee Product Details
    • Shein
      • Get Shein Product Details
    • TikTok
      • Get TikTok Product Details
      • Search TikTok products
      • Get TikTok Seller details
    • Universal Scraping
      • Universal Web Scraping HTML API
      • Universal Web Scraping Structured API
    • Allegro
      • Get product Allegro
    • Champssports
      • Get Product Champssports
      • Search Champssports
    • Dickssportinggoods
      • Get Product Dickssportinggoods
      • Search Dickssportinggoods
    • Footlocker
      • Get Product Footlocker
      • Search Footlocker
    • Etsy
      • Get product Etsy
      • Search product Etsy
    • Geizhals
      • Get product Geizhals
    • Manomano
      • Get product Manomano
    • Otto
      • Get product Otto
    • Tabletki
      • Get Tabletki Products in specific pharmacy
      • Get Tabletki Product
      • Get Tabletki Pharmacy data
      • Search Tabletki Products
      • Get Tabletki Product page
      • Get Tabletki Product prices
    • RedBubble
      • Get product Redbubble
      • Search product Redbubble
    • Rozetka
      • Get product Rozetka
      • Search product Rozetka
    • Idealo
      • Get product Idealo
    • Utils
      • EAN to Asin
      • Asin to EAN
    • Stats
      • Get billed usage
      • Get balance
      • Get API usage statistics
    • Schemas
      • HTTPValidationError
  1. Amazon Business

Get offers Amazon

POST
/amazon/business_offers
Returns product sellers

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired
Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-marketplace.webparsers.com/amazon/business_offers' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "domain": "com",
    "asin": "B0CJF94M8J",
    "page": 1,
    "condition": "all",
    "auth_cookies": [
        {
            "domain": ".amazon.com",
            "hostOnly": false,
            "httpOnly": false,
            "name": "AMCVS_7742037254C95E840A4C98A6%40AdobeOrg",
            "path": "/",
            "sameSite": "unspecified",
            "secure": false,
            "session": true,
            "storeId": "0",
            "value": "1"
        },
        {
            "domain": ".amazon.com",
            "hostOnly": false,
            "httpOnly": false,
            "name": "s_cc",
            "path": "/",
            "sameSite": "unspecified",
            "secure": false,
            "session": true,
            "storeId": "0",
            "value": "true"
        }
    ]
}'
Response Response Example
{
  "input_parameters": {
    "domain": "com",
    "delivery_postal_code": null,
    "shipping_location": null,
    "asin": "B0CJF94M8J",
    "page": 1,
    "condition": "all"
  },
  "product": {
    "asin": "B0CJF94M8J",
    "title": "TrendPlain 16oz/470ml Glass Olive Oil Sprayer for Cooking – 2 in 1 Olive Oil Dispenser Bottle for Kitchen Gadgets and Air Fryer Accessories, Salad, BBQ - BlackQtyFilterFilter byClear allDeliveryFree deliveryBusiness DiscountsQuantity discountsConditionNew",
    "rating": 4.5,
    "rating_count": 39408,
    "main_image": "",
    "link": "https://www.amazon.com/dp/B0CJF94M8J"
  },
  "offers": [
    {
      "position": 1,
      "is_buy_box": true,
      "price": 8.54,
      "previous_price": null,
      "currency": "USD",
      "discount": "",
      "condition": "New - Business Price",
      "seller_name": "TrendPlain",
      "ships_from_name": "Amazon",
      "seller_id": "A1XJRQRL6GOD94",
      "seller_url": "https://www.amazon.com/gp/aag/main?ie=UTF8&seller=A1XJRQRL6GOD94&isAmazonFulfilled=1&asin=B0CJF94M8J&ref_=olp_merch_name_0",
      "delivery_date": "Monday, May 25",
      "seller_rating": 5,
      "seller_rating_count": 3476,
      "seller_rating_details": "100% positive over last 12 months",
      "max_qty": 10
    }
  ],
  "total_offers": 1
}
Modified at 2026-05-20 10:06:35
Previous
Search Amazon
Next
Google Trends
Built with